> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/catalog-classification-v2/classification-data-category.md).

# Classification Data Category

Classification category operations

## POST /dataClasses/{dataClassId}/dataCategories

> Associate data class with data category

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Classification API","version":"2.0.0-unstable"},"tags":[{"name":"Classification Data Category","description":"Classification category operations"}],"servers":[{"url":"/rest/catalogClassification/v2"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"description":"The APIs require Basic HTTP authentication.","type":"http","scheme":"basic"},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"DataClassDataCategoryConnection":{"type":"object","description":"An association between a data class and a data category.","required":["id","resourceType"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the represented object (entity)."},"dataClass":{"$ref":"#/components/schemas/Classification"},"dataCategory":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"createdBy":{"type":"string","format":"uuid","description":"The ID of the user who created this resource."},"createdOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) of the resource creation date."},"lastModifiedBy":{"type":"string","format":"uuid","description":"The ID of the user who last modified this resource."},"lastModifiedOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) the resource last modified date."},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"$ref":"#/components/schemas/ResourceType"}}},"Classification":{"description":"Represents classification of data.","type":"object","required":["id","resourceType"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the represented object (entity)."},"name":{"type":"string","description":"The name of the resource."},"createdBy":{"type":"string","format":"uuid","description":"The ID of the user who created this resource."},"createdOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) of the resource creation date."},"lastModifiedBy":{"type":"string","format":"uuid","description":"The ID of the user who last modified this resource."},"lastModifiedOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) the resource last modified date."},"system":{"description":"Whether this is a system resource or not.","type":"boolean"},"resourceType":{"$ref":"#/components/schemas/ResourceType"}}},"ResourceType":{"type":"string","description":"The type of the resource, for example [Community, Asset, Domain, Attribute, Relation, WorkflowInstance].","enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"NamedResourceReferenceImpl":{"description":"A reference to the resource, including its name.","type":"object","required":["id","resourceType"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the referenced resource."},"name":{"type":"string","description":"The name of the referenced resource."},"resourceType":{"$ref":"#/components/schemas/ResourceType"}}},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"The HTTP response code."},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}},"responses":{"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest422":{"description":"Associations between provided Assets and Data Class already exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/dataClasses/{dataClassId}/dataCategories":{"post":{"summary":"Associate data class with data category","operationId":"connectDataCategoryDataClass","tags":["Classification Data Category"],"parameters":[{"name":"dataClassId","in":"path","description":"The ID of the data class to which the data category will be associated.","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"description":"The ID of the data category to be associated with the data class.","content":{"application/json":{"schema":{"type":"string","format":"uuid"}}}},"responses":{"201":{"description":"The newly created classification category association.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataClassDataCategoryConnection"}}}},"404":{"$ref":"#/components/responses/InvalidRequest404"},"422":{"$ref":"#/components/responses/InvalidRequest422"}}}}}}
```

## DELETE /dataClasses/{dataClassId}/dataCategories/{dataCategoryId}

> Remove existing association between a data class and a data category

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Classification API","version":"2.0.0-unstable"},"tags":[{"name":"Classification Data Category","description":"Classification category operations"}],"servers":[{"url":"/rest/catalogClassification/v2"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"description":"The APIs require Basic HTTP authentication.","type":"http","scheme":"basic"},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"responses":{"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}},"schemas":{"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"The HTTP response code."},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}}},"paths":{"/dataClasses/{dataClassId}/dataCategories/{dataCategoryId}":{"delete":{"summary":"Remove existing association between a data class and a data category","operationId":"disconnectDataCategoryDataClass","tags":["Classification Data Category"],"parameters":[{"name":"dataClassId","in":"path","description":"The ID of the data class from which the data category will be removed.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"dataCategoryId","in":"path","description":"The ID of the data category to be removed.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"Removed the association between data class and data category."},"404":{"$ref":"#/components/responses/InvalidRequest404"}}}}}}
```

## GET /dataClasses/dataCategories

> Retrieve the association with a data category and a data class.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Classification API","version":"2.0.0-unstable"},"tags":[{"name":"Classification Data Category","description":"Classification category operations"}],"servers":[{"url":"/rest/catalogClassification/v2"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"description":"The APIs require Basic HTTP authentication.","type":"http","scheme":"basic"},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"Offset":{"name":"offset","in":"query","description":"The index of the first result to retrieve.\n\nIf not set (offset = <code>0</code>), results are retrieved starting from row <code>0</code>.\n","schema":{"type":"integer","format":"int32","default":0}},"Limit":{"name":"limit","in":"query","description":"The maximum number of results to retrieve.\n\nIf not set, the default limit  (limit = <code>0</code>) is used. The maximum value for this parameter is\n<code>1000<code>.\n","schema":{"type":"integer","format":"int32","default":0,"maximum":1000}}},"schemas":{"DataClassDataCategoryConnectionsPagedResponse":{"type":"object","properties":{"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/DataClassDataCategoryConnection"}}}},"DataClassDataCategoryConnection":{"type":"object","description":"An association between a data class and a data category.","required":["id","resourceType"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the represented object (entity)."},"dataClass":{"$ref":"#/components/schemas/Classification"},"dataCategory":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"createdBy":{"type":"string","format":"uuid","description":"The ID of the user who created this resource."},"createdOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) of the resource creation date."},"lastModifiedBy":{"type":"string","format":"uuid","description":"The ID of the user who last modified this resource."},"lastModifiedOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) the resource last modified date."},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"$ref":"#/components/schemas/ResourceType"}}},"Classification":{"description":"Represents classification of data.","type":"object","required":["id","resourceType"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the represented object (entity)."},"name":{"type":"string","description":"The name of the resource."},"createdBy":{"type":"string","format":"uuid","description":"The ID of the user who created this resource."},"createdOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) of the resource creation date."},"lastModifiedBy":{"type":"string","format":"uuid","description":"The ID of the user who last modified this resource."},"lastModifiedOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) the resource last modified date."},"system":{"description":"Whether this is a system resource or not.","type":"boolean"},"resourceType":{"$ref":"#/components/schemas/ResourceType"}}},"ResourceType":{"type":"string","description":"The type of the resource, for example [Community, Asset, Domain, Attribute, Relation, WorkflowInstance].","enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"NamedResourceReferenceImpl":{"description":"A reference to the resource, including its name.","type":"object","required":["id","resourceType"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the referenced resource."},"name":{"type":"string","description":"The name of the referenced resource."},"resourceType":{"$ref":"#/components/schemas/ResourceType"}}},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"The HTTP response code."},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/dataClasses/dataCategories":{"get":{"summary":"Retrieve the association with a data category and a data class.","operationId":"getAssociationDataClassDataCategory","tags":["Classification Data Category"],"parameters":[{"name":"dataCategoryId","in":"query","description":"The ID of the data category for which you want to see the associated data classes.","schema":{"type":"string","format":"uuid"}},{"name":"dataClassId","in":"query","description":"The ID of the data class for which you want to see the associated data categories.","schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Limit"}],"responses":{"200":{"description":"The list of associations with a data category and a data classes.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataClassDataCategoryConnectionsPagedResponse"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"404":{"$ref":"#/components/responses/InvalidRequest404"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/catalog-classification-v2/classification-data-category.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
